import React from 'react';
import type { Metadata } from 'next';
import dayjs from 'dayjs';
import 'dayjs/locale/ru';
import 'dayjs/locale/en';
import 'dayjs/locale/de';
import 'dayjs/locale/it';
import 'dayjs/locale/fr';
import 'dayjs/locale/es';
import { i18nText } from '../../../../../i18nKeys';

export const metadata: Metadata = {
    title: 'Bbuddy - Account - Notifications',
    description: 'Bbuddy desc notifications'
};

export default function Notifications({ params: { locale } }: { params: { locale: string } }) {
    const date = dayjs('2022-05-22').locale(locale);

    return (
        <>
            <ol className="breadcrumb">
                <li className="breadcrumb-item active" aria-current="page">{i18nText('accountMenu.notifications', locale)}</li>
            </ol>
            <div className="list-notifications ">
                <div className="b-notifications primary">
                    <div className="b-notifications__title">Notification Headline</div>
                    <div className="b-notifications__text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc auctor leo eu justo molestie
                    </div>
                    <div className="b-notifications__date">{date.format('D MMMM YYYY')}</div>
                    <div className="b-notifications__inner">
                        <a href="#" className="b-notifications__delete">{i18nText('delete', locale)}</a>
                    </div>
                </div>
                <div className="b-notifications primary">
                    <div className="b-notifications__title">Notification Headline</div>
                    <div className="b-notifications__text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc auctor leo eu justo molestie
                    </div>
                    <div className="b-notifications__date">{date.format('D MMMM YYYY')}</div>
                    <div className="b-notifications__inner">
                        <a href="#" className="b-notifications__delete">{i18nText('delete', locale)}</a>
                    </div>
                </div>
                <div className="b-notifications danger">
                    <div className="b-notifications__title">Notification Headline</div>
                    <div className="b-notifications__text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc auctor leo eu justo molestie
                    </div>
                    <div className="b-notifications__date">{date.format('D MMMM YYYY')}</div>
                    <div className="b-notifications__inner">
                        <a href="#" className="b-notifications__delete">{i18nText('delete', locale)}</a>
                    </div>
                </div>
            </div>
        </>
    );
}
