import React from 'react';
import type { Metadata } from 'next';
import { useTranslations } from 'next-intl';
import { i18nText } from '../../../../../i18nKeys';

export const metadata: Metadata = {
    title: 'Bbuddy - Account - Work with us',
    description: 'Bbuddy desc work with us'
};

export default function WorkWithUs({ params: { locale } }: { params: { locale: string } }) {
    const t = useTranslations('Account.WorkWithUs');

    return (
        <>
            <ol className="breadcrumb">
                <li className="breadcrumb-item active" aria-current="page">{i18nText('accountMenu.work-with-us', locale)}</li>
            </ol>
            <div className="b-info">
                <div className="image-info">
                    <img className="" src="/images/info.png" alt="" />
                </div>
                <div className="b-info__title">{i18nText('insertInfo', locale)}</div>
                <button className="btn-apply">{i18nText('getStarted', locale)}</button>
                <div className="base-text">{i18nText('changeUserData', locale)}</div>
            </div>
        </>
    );
}
