import React, { ReactNode } from 'react';
import { comfortaa, inter } from './fonts';
import '../styles/style.scss';

type RootLayoutProps = {
    children: ReactNode;
    params: { locale: string };
};

export default function RootLayout({ children, params: { locale } }: RootLayoutProps) {
    return (
        <html lang={locale} className={`${comfortaa.variable} ${inter.variable}`}>
            <body>
                {children}
            </body>
        </html>
    );
}
